Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export
Class ImporterImpl

    java.lang.Object
      com.jaspersoft.jasperserver.export.BaseExporterImporter
          com.jaspersoft.jasperserver.export.ImporterImpl

All Implemented Interfaces:
  Importer

    public class ImporterImpl

extends BaseExporterImporter
implements Importer

Version:
  $Id: ImporterImpl.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary
`protected class` | `ImporterImpl.ModuleContextImpl`

Field Summary
`protected ImportInput` | `input`
`protected ImportTask` | `task`

Fields inherited from class com.jaspersoft.jasperserver.export.BaseExporterImporter
`commandOut`

Constructor Summary
`ImporterImpl()`

Method Summary
`protected java.io.InputStream` | `getIndexInput()`
`void` | `performImport()`
`protected void` | `process()`
`protected org.dom4j.Document` | `readIndexDocument()`
`void` | `setTask(ImportTask task)`

Methods inherited from class com.jaspersoft.jasperserver.export.BaseExporterImporter
`getCharacterEncoding, getEncodingProvider, getIndexFilename, getIndexModuleElementName, getIndexModuleIdAttributeName, getIndexRootElementName, getModuleRegister, setEncodingProvider, setIndexFilename, setIndexModuleElementName, setIndexModuleIdAttributeName, setIndexRootElementName, setModuleRegister`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### task

    protected ImportTask task

### input

    protected ImportInput input

Constructor Detail

### ImporterImpl

    public ImporterImpl()

Method Detail

### setTask

    public void setTask(ImportTask task)

  Specified by:
    `setTask` in interface `Importer`

### performImport

    public void performImport()

  Specified by:
    `performImport` in interface `Importer`

### process

    protected void process()

### readIndexDocument

    protected org.dom4j.Document readIndexDocument()

### getIndexInput

    protected java.io.InputStream getIndexInput()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.